# CompCollateralSwitch

### Description

Switch action to switch if user will use tokens for collateral on compound

### Action ID

`0x7e243d72`

### SDK Action

```ts
const compoundCollateralSwitchAction = new dfs.actions.compound.CompoundCollateralSwitchAction(
    cTokens,
    useAsCollateral
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param cTokens Array of cTokens addresses
    /// @param useAsCollateral Array of booleans to indicate if the cToken should be used as collateral
    struct Params {
        address[] cTokens;
        bool[] useAsCollateral;
    }
```

### Return Value

```solidity
return bytes32(0);
```

### Events and Logs

```solidity
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/compound/compcollateralswitch.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
